module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 28);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 16:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(3)(false);
// Imports
exports.i(__webpack_require__(25), "");

// Module
exports.push([module.i, ".xpx-loading[data-v-860b8d54]{display:flex;justify-content:center;align-items:center;width:100%;height:100%;position:absolute;top:0;left:0;z-index:9999}.xpx-loading-content[data-v-860b8d54]{min-width:100px;height:auto;text-align:center;display:flex;align-items:center;justify-content:center;flex-wrap:wrap}.xpx-loading-content img[data-v-860b8d54]{object-fit:cover}.xpx-loading-text[data-v-860b8d54]{width:100%;text-align:center;margin-top:10px}.xpx-loading .point-wrap[data-v-860b8d54]{margin:0 auto;text-align:center}.xpx-loading .point-wrap .point[data-v-860b8d54]{display:inline-block;width:15px;height:15px;margin:0 5px;border-radius:50%;animation:loading-data-v-860b8d54 1s infinite}.xpx-loading .point-wrap .point1[data-v-860b8d54]{animation-delay:-0.3s}.xpx-loading .point-wrap .point2[data-v-860b8d54]{animation-delay:-0.15s}.xpx-loading .point-wrap .point3[data-v-860b8d54]{animation-delay:0}.fade-enter-active[data-v-860b8d54],.fade-leave-active[data-v-860b8d54]{transition:opacity .3s}.fade-enter[data-v-860b8d54],.fade-leave-to[data-v-860b8d54]{opacity:0}@keyframes loading-data-v-860b8d54{0%{transform:scale(0)}50%{transform:scale(1)}90%{transform:scale(0)}100%{transform:scale(0)}}\n", ""]);



/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var isOldIE = function isOldIE() {
  var memo;
  return function memorize() {
    if (typeof memo === 'undefined') {
      // Test for IE <= 9 as proposed by Browserhacks
      // @see http://browserhacks.com/#hack-e71d8692f65334173fee715c222cb805
      // Tests for existence of standard globals is to allow style-loader
      // to operate correctly into non-standard environments
      // @see https://github.com/webpack-contrib/style-loader/issues/177
      memo = Boolean(window && document && document.all && !window.atob);
    }

    return memo;
  };
}();

var getTarget = function getTarget() {
  var memo = {};
  return function memorize(target) {
    if (typeof memo[target] === 'undefined') {
      var styleTarget = document.querySelector(target); // Special case to return head of iframe instead of iframe itself

      if (window.HTMLIFrameElement && styleTarget instanceof window.HTMLIFrameElement) {
        try {
          // This will throw an exception if access to iframe is blocked
          // due to cross-origin restrictions
          styleTarget = styleTarget.contentDocument.head;
        } catch (e) {
          // istanbul ignore next
          styleTarget = null;
        }
      }

      memo[target] = styleTarget;
    }

    return memo[target];
  };
}();

var stylesInDom = [];

function getIndexByIdentifier(identifier) {
  var result = -1;

  for (var i = 0; i < stylesInDom.length; i++) {
    if (stylesInDom[i].identifier === identifier) {
      result = i;
      break;
    }
  }

  return result;
}

function modulesToDom(list, options) {
  var idCountMap = {};
  var identifiers = [];

  for (var i = 0; i < list.length; i++) {
    var item = list[i];
    var id = options.base ? item[0] + options.base : item[0];
    var count = idCountMap[id] || 0;
    var identifier = "".concat(id, " ").concat(count);
    idCountMap[id] = count + 1;
    var index = getIndexByIdentifier(identifier);
    var obj = {
      css: item[1],
      media: item[2],
      sourceMap: item[3]
    };

    if (index !== -1) {
      stylesInDom[index].references++;
      stylesInDom[index].updater(obj);
    } else {
      stylesInDom.push({
        identifier: identifier,
        updater: addStyle(obj, options),
        references: 1
      });
    }

    identifiers.push(identifier);
  }

  return identifiers;
}

function insertStyleElement(options) {
  var style = document.createElement('style');
  var attributes = options.attributes || {};

  if (typeof attributes.nonce === 'undefined') {
    var nonce =  true ? __webpack_require__.nc : undefined;

    if (nonce) {
      attributes.nonce = nonce;
    }
  }

  Object.keys(attributes).forEach(function (key) {
    style.setAttribute(key, attributes[key]);
  });

  if (typeof options.insert === 'function') {
    options.insert(style);
  } else {
    var target = getTarget(options.insert || 'head');

    if (!target) {
      throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");
    }

    target.appendChild(style);
  }

  return style;
}

function removeStyleElement(style) {
  // istanbul ignore if
  if (style.parentNode === null) {
    return false;
  }

  style.parentNode.removeChild(style);
}
/* istanbul ignore next  */


var replaceText = function replaceText() {
  var textStore = [];
  return function replace(index, replacement) {
    textStore[index] = replacement;
    return textStore.filter(Boolean).join('\n');
  };
}();

function applyToSingletonTag(style, index, remove, obj) {
  var css = remove ? '' : obj.media ? "@media ".concat(obj.media, " {").concat(obj.css, "}") : obj.css; // For old IE

  /* istanbul ignore if  */

  if (style.styleSheet) {
    style.styleSheet.cssText = replaceText(index, css);
  } else {
    var cssNode = document.createTextNode(css);
    var childNodes = style.childNodes;

    if (childNodes[index]) {
      style.removeChild(childNodes[index]);
    }

    if (childNodes.length) {
      style.insertBefore(cssNode, childNodes[index]);
    } else {
      style.appendChild(cssNode);
    }
  }
}

function applyToTag(style, options, obj) {
  var css = obj.css;
  var media = obj.media;
  var sourceMap = obj.sourceMap;

  if (media) {
    style.setAttribute('media', media);
  } else {
    style.removeAttribute('media');
  }

  if (sourceMap && typeof btoa !== 'undefined') {
    css += "\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))), " */");
  } // For old IE

  /* istanbul ignore if  */


  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    while (style.firstChild) {
      style.removeChild(style.firstChild);
    }

    style.appendChild(document.createTextNode(css));
  }
}

var singleton = null;
var singletonCounter = 0;

function addStyle(obj, options) {
  var style;
  var update;
  var remove;

  if (options.singleton) {
    var styleIndex = singletonCounter++;
    style = singleton || (singleton = insertStyleElement(options));
    update = applyToSingletonTag.bind(null, style, styleIndex, false);
    remove = applyToSingletonTag.bind(null, style, styleIndex, true);
  } else {
    style = insertStyleElement(options);
    update = applyToTag.bind(null, style, options);

    remove = function remove() {
      removeStyleElement(style);
    };
  }

  update(obj);
  return function updateStyle(newObj) {
    if (newObj) {
      if (newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap) {
        return;
      }

      update(obj = newObj);
    } else {
      remove();
    }
  };
}

module.exports = function (list, options) {
  options = options || {}; // Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
  // tags it will allow on a page

  if (!options.singleton && typeof options.singleton !== 'boolean') {
    options.singleton = isOldIE();
  }

  list = list || [];
  var lastIdentifiers = modulesToDom(list, options);
  return function update(newList) {
    newList = newList || [];

    if (Object.prototype.toString.call(newList) !== '[object Array]') {
      return;
    }

    for (var i = 0; i < lastIdentifiers.length; i++) {
      var identifier = lastIdentifiers[i];
      var index = getIndexByIdentifier(identifier);
      stylesInDom[index].references--;
    }

    var newLastIdentifiers = modulesToDom(newList, options);

    for (var _i = 0; _i < lastIdentifiers.length; _i++) {
      var _identifier = lastIdentifiers[_i];

      var _index = getIndexByIdentifier(_identifier);

      if (stylesInDom[_index].references === 0) {
        stylesInDom[_index].updater();

        stylesInDom.splice(_index, 1);
      }
    }

    lastIdentifiers = newLastIdentifiers;
  };
};

/***/ }),

/***/ 25:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(3)(false);
// Module
exports.push([module.i, ".xpx-loading-parent--body{\n  width: 100vw;\n  height: 100vh;\n  overflow: hidden;\n}\n\n.xpx-loading-parent{\n  width: 100%;\n  height: 100%;\n  overflow: hidden;\n  position: relative;\n}", ""]);



/***/ }),

/***/ 28:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "vue"
var external_vue_ = __webpack_require__(5);
var external_vue_default = /*#__PURE__*/__webpack_require__.n(external_vue_);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XLoading/src/loading.vue?vue&type=template&id=860b8d54&scoped=true&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("transition", { attrs: { name: "fade", mode: "out-in" } }, [
    _c(
      "div",
      {
        directives: [
          {
            name: "show",
            rawName: "v-show",
            value: _vm.visible,
            expression: "visible"
          }
        ],
        staticClass: "xpx-loading",
        style: { backgroundColor: _vm.background }
      },
      [
        _c("div", { staticClass: "xpx-loading-content" }, [
          _vm.img
            ? _c("img", {
                style: {
                  width: _vm.imgSize + "px",
                  height: _vm.imgSize + "px"
                },
                attrs: { src: _vm.img }
              })
            : _c("div", { staticClass: "point-wrap" }, [
                _c("div", {
                  staticClass: "point point1",
                  style: {
                    width: _vm.iconSize + "px",
                    height: _vm.iconSize + "px",
                    backgroundColor: _vm.iconColor
                  }
                }),
                _c("div", {
                  staticClass: "point point2",
                  style: {
                    width: _vm.iconSize + "px",
                    height: _vm.iconSize + "px",
                    backgroundColor: _vm.iconColor
                  }
                }),
                _c("div", {
                  staticClass: "point point3",
                  style: {
                    width: _vm.iconSize + "px",
                    height: _vm.iconSize + "px",
                    backgroundColor: _vm.iconColor
                  }
                })
              ]),
          _vm.text
            ? _c(
                "p",
                {
                  staticClass: "xpx-loading-text",
                  style: { color: _vm.color }
                },
                [_vm._v(_vm._s(_vm.text))]
              )
            : _vm._e()
        ])
      ]
    )
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/XLoading/src/loading.vue?vue&type=template&id=860b8d54&scoped=true&

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XLoading/src/loading.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var loadingvue_type_script_lang_js_ = ({
  name: 'XLoading',
  data: function data() {
    return {
      text: null,
      // 测试用img
      img: 'https://img.lanrentuku.com/img/allimg/1212/5-121204193951.gif'
    };
  },


  methods: {
    setText: function setText(text) {
      this.text = text;
    }
  }
});
// CONCATENATED MODULE: ./src/components/XLoading/src/loading.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_loadingvue_type_script_lang_js_ = (loadingvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/style-loader/dist/runtime/injectStylesIntoStyleTag.js
var injectStylesIntoStyleTag = __webpack_require__(2);
var injectStylesIntoStyleTag_default = /*#__PURE__*/__webpack_require__.n(injectStylesIntoStyleTag);

// EXTERNAL MODULE: ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XLoading/src/loading.vue?vue&type=style&index=0&id=860b8d54&lang=scss&scoped=true&
var loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_ = __webpack_require__(16);
var loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_default = /*#__PURE__*/__webpack_require__.n(loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_);

// CONCATENATED MODULE: ./node_modules/style-loader/dist/cjs.js!./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XLoading/src/loading.vue?vue&type=style&index=0&id=860b8d54&lang=scss&scoped=true&

            

var loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_options = {};

loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_options.insert = "head";
loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_options.singleton = false;

var update = injectStylesIntoStyleTag_default()(loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_default.a, loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_options);



/* harmony default export */ var src_loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_ = (loadingvue_type_style_index_0_id_860b8d54_lang_scss_scoped_true_default.a.locals || {});
// CONCATENATED MODULE: ./src/components/XLoading/src/loading.vue?vue&type=style&index=0&id=860b8d54&lang=scss&scoped=true&

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/XLoading/src/loading.vue






/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_loadingvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  "860b8d54",
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/XLoading/src/loading.vue"
/* harmony default export */ var loading = (component.exports);
// CONCATENATED MODULE: ./src/components/XLoading/src/directive.js


var Instance = external_vue_default.a.extend(loading);

var loadingDirective = {};

var defaults = {
  visible: false,
  text: null,
  color: '#ccc',
  iconSize: 15,
  iconColor: '#BA2126',
  img: '',
  imgSize: 40,
  background: 'rgba(255, 255, 255, .8)'
};

loadingDirective.install = function (Vue) {
  Vue.directive('Xloading', {
    bind: function bind(el, params) {
      if (typeof params.value !== 'boolean') return console.error('v-loading请传入布尔值');
      var getParams = {
        visible: params.value,
        text: el.getAttribute('xpx-loading-text'),
        color: el.getAttribute('xpx-loading-text-color') ? el.getAttribute('xpx-loading-text-color') : '#ccc',
        iconSize: el.getAttribute('xpx-loading-icon-size') ? el.getAttribute('xpx-loading-icon-size') : 15,
        iconColor: el.getAttribute('xpx-loading-icon-color') ? el.getAttribute('xpx-loading-icon-color') : '#BA2126',
        img: el.getAttribute('xpx-loading-img'),
        imgSize: el.getAttribute('xpx-loading-img-size') ? el.getAttribute('xpx-loading-img-size') : 40,
        background: el.getAttribute('xpx-loading-bg') ? el.getAttribute('xpx-loading-bg') : 'rgba(255, 255, 255, .8)'
      };
      defaults = Object.assign({}, defaults, getParams);
      var instance = new Instance({
        el: document.createElement('div'),
        data: defaults
      });

      // 绑定close事件
      instance.close = function () {
        this.visible = false;
        setTimeout(function () {
          el.removeChild(el.$loading.$el);
          el.classList.remove('xpx-loading-parent');
        }, 300);
      };

      el.$loading = instance;
      if (params.value) {
        el.appendChild(instance.$el);
        el.classList.add('xpx-loading-parent');
      }
      Vue.nextTick(function () {
        instance.visible = params.value;
      });
      return instance;
    },

    update: function update(el, params) {
      if (typeof params.value !== 'boolean') return console.error('v-loading请传入布尔值');
      if (params.value) {
        el.appendChild(el.$loading.$el);
        el.classList.add('xpx-loading-parent');
        Vue.nextTick(function () {
          el.$loading.visible = true;
        });
      } else {
        if (el === el.$loading.$el.parentNode) el.$loading.close();
      }
    }
  });
};

/* harmony default export */ var directive = (loadingDirective);
// EXTERNAL MODULE: ./src/utils/index.js
var utils = __webpack_require__(4);

// CONCATENATED MODULE: ./src/components/XLoading/src/index.js




var LoadingConstructor = external_vue_default.a.extend(loading);

var src_defaults = {
  visible: false,
  text: null,
  color: '#ccc',
  iconSize: 15,
  iconColor: '#BA2126',
  img: '',
  imgSize: 40,
  target: null,
  background: 'rgba(255, 255, 255, .8)'
};

var src_Loading = function Loading() {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  options.target = typeof options.target === 'string' ? document.querySelector(options.target) : document.body;
  src_defaults.target = options.target;
  if (Object(utils["c" /* isChildOf */])(document.querySelector('.xpx-loading'), src_defaults.target)) return false;
  options = Object.assign({}, src_defaults, options);
  var instance = new LoadingConstructor({
    el: document.createElement('div'),
    data: options
  });
  instance.close = function () {
    var _this = this;

    this.visible = false;
    setTimeout(function () {
      if (options.target === document.body) options.target.classList.remove('xpx-loading-parent--body');else options.target.classList.remove('xpx-loading-parent');
      options.target.removeChild(_this.$el);
    }, 300);
  };
  if (options.target === document.body) {
    instance.$el.style.position = 'fixed';
    options.target.classList.add('xpx-loading-parent--body');
  } else {
    options.target.classList.add('xpx-loading-parent');
  }
  options.target.appendChild(instance.$el);
  external_vue_default.a.nextTick(function () {
    instance.visible = true;
  });
  return instance;
};

/* harmony default export */ var src = (src_Loading);
// CONCATENATED MODULE: ./src/components/XLoading/index.js




loading.install = function (Vue) {
  // 自定义指令
  Vue.use(directive);

  // 绑定原型方法
  Vue.prototype.$Xloading = src;
};

/* harmony default export */ var XLoading = __webpack_exports__["default"] = (loading);

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function (useSourceMap) {
  var list = []; // return the list of modules as css string

  list.toString = function toString() {
    return this.map(function (item) {
      var content = cssWithMappingToString(item, useSourceMap);

      if (item[2]) {
        return '@media ' + item[2] + '{' + content + '}';
      } else {
        return content;
      }
    }).join('');
  }; // import a list of modules into the list


  list.i = function (modules, mediaQuery) {
    if (typeof modules === 'string') {
      modules = [[null, modules, '']];
    }

    var alreadyImportedModules = {};

    for (var i = 0; i < this.length; i++) {
      var id = this[i][0];

      if (id != null) {
        alreadyImportedModules[id] = true;
      }
    }

    for (i = 0; i < modules.length; i++) {
      var item = modules[i]; // skip already imported module
      // this implementation is not 100% perfect for weird media query combinations
      // when a module is imported multiple times with different media queries.
      // I hope this will never occur (Hey this way we have smaller bundles)

      if (item[0] == null || !alreadyImportedModules[item[0]]) {
        if (mediaQuery && !item[2]) {
          item[2] = mediaQuery;
        } else if (mediaQuery) {
          item[2] = '(' + item[2] + ') and (' + mediaQuery + ')';
        }

        list.push(item);
      }
    }
  };

  return list;
};

function cssWithMappingToString(item, useSourceMap) {
  var content = item[1] || '';
  var cssMapping = item[3];

  if (!cssMapping) {
    return content;
  }

  if (useSourceMap && typeof btoa === 'function') {
    var sourceMapping = toComment(cssMapping);
    var sourceURLs = cssMapping.sources.map(function (source) {
      return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */';
    });
    return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
  }

  return [content].join('\n');
} // Adapted from convert-source-map (MIT)


function toComment(sourceMap) {
  // eslint-disable-next-line no-undef
  var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
  var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;
  return '/*# ' + data + ' */';
}

/***/ }),

/***/ 4:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return transformLineBreak; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return GetCheckPrice; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GetCheckNumber; });
/* unused harmony export addClass */
/* unused harmony export removeClass */
/* unused harmony export hasClass */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return isChildOf; });
/* unused harmony export getBlob */
/* unused harmony export saveAs */
/* unused harmony export download */
// 将文本中的换行符\n转为页面真正的换行显示
function transformLineBreak(val) {
    return val.split('\n').join('<br/>');
}

// 价格处理
function GetCheckPrice($event) {
    return $event.match(/^\d*(\.?\d{0,2})/g)[0] || null;
}

// 数字处理
function GetCheckNumber($event) {
    return $event.replace(/\D/g, '') || null;
}

// 添加类名
function addClass(el, cls) {
    if (!el) return;
    var curClass = el.className;
    var classes = (cls || '').split(' ');

    for (var i = 0, j = classes.length; i < j; i++) {
        var clsName = classes[i];
        if (!clsName) continue;

        if (el.classList) {
            el.classList.add(clsName);
        } else if (!hasClass(el, clsName)) {
            curClass += ' ' + clsName;
        }
    }
    if (!el.classList) {
        el.className = curClass;
    }
}

// 移除类名
function removeClass(el, cls) {
    if (!el || !cls) return;
    var classes = cls.split(' ');
    var curClass = ' ' + el.className + ' ';

    for (var i = 0, j = classes.length; i < j; i++) {
        var clsName = classes[i];
        if (!clsName) continue;

        if (el.classList) {
            el.classList.remove(clsName);
        } else if (hasClass(el, clsName)) {
            curClass = curClass.replace(' ' + clsName + ' ', ' ');
        }
    }
    if (!el.classList) {
        el.className = trim(curClass);
    }
}

// 是否含有类名
function hasClass(el, cls) {
    if (!el || !cls) return false;
    if (cls.indexOf(' ') !== -1) throw new Error('className should not contain space.');
    if (el.classList) {
        return el.classList.contains(cls);
    } else {
        return (' ' + el.className + ' ').indexOf(' ' + cls + ' ') > -1;
    }
}

// 查询是否含有某个子节点
function isChildOf(child, parent) {
    var parentNode;
    if (child && parent) {
        parentNode = child.parentNode;
        if (parent === parentNode) return true;
    }
    return false;
}

// 去除空格
function trim(string) {
    return (string || '').replace(/^[\s\uFEFF]+|[\s\uFEFF]+$/g, '');
}

// url 目标文件地址
function getBlob(url) {
    return new Promise(function (resolve) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'blob';
        xhr.onload = function () {
            if (xhr.status === 200) {
                resolve(xhr.response);
            }
        };
        xhr.send();
    });
}

/**
 * 保存
 * @param  {Blob} blob
 * @param  {String} filename 想要保存的文件名称
 */
function saveAs(blob, filename) {
    if (window.navigator.msSaveOrOpenBlob) {
        navigator.msSaveBlob(blob, filename);
    } else {
        var link = document.createElement('a');
        var body = document.body;
        link.href = window.URL.createObjectURL(blob);
        link.download = filename;
        link.style.display = 'none';
        body.appendChild(link);
        link.click();
        body.removeChild(link);
        window.URL.revokeObjectURL(link.href);
    }
}

/**
 * 下载OSS
 * @param  {String} url 目标文件地址
 * @param  {String} filename 想要保存的文件名称
 */
function download(url, filename) {
    getBlob(url).then(function (blob) {
        saveAs(blob, filename);
    });
}

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("vue");

/***/ })

/******/ });