module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 36);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 36:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XProInput/src/index.vue?vue&type=template&id=5fcc648d&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "section",
    [
      _vm.isFormItem
        ? _c(
            "el-form-item",
            _vm._b({}, "el-form-item", _vm.formItemProps, false),
            [
              _c(
                "el-input",
                _vm._g(
                  _vm._b(
                    {
                      on: { input: _vm.inputFun, blur: _vm.blurFun },
                      model: {
                        value: _vm.value,
                        callback: function($$v) {
                          _vm.value = $$v
                        },
                        expression: "value"
                      }
                    },
                    "el-input",
                    _vm.$attrs,
                    false
                  ),
                  _vm.$listeners
                )
              )
            ],
            1
          )
        : _c(
            "el-input",
            _vm._g(
              _vm._b(
                {
                  on: { input: _vm.inputFun, blur: _vm.blurFun },
                  model: {
                    value: _vm.value,
                    callback: function($$v) {
                      _vm.value = $$v
                    },
                    expression: "value"
                  }
                },
                "el-input",
                _vm.$attrs,
                false
              ),
              _vm.$listeners
            )
          )
    ],
    1
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/XProInput/src/index.vue?vue&type=template&id=5fcc648d&

// EXTERNAL MODULE: ./src/utils/index.js
var utils = __webpack_require__(4);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XProInput/src/index.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/**
 * 功能作用：表单input：常规el-input，内置价格、数字、邮箱、手机号/固定电话号验证
 * 初始注释时间： 2021/6/24
 * 注释创建人：张耀伦
 */


/* harmony default export */ var srcvue_type_script_lang_js_ = ({
  name: 'XProInput',
  props: {
    formItemProps: { // form-item绑定值
      type: Object,
      default: function _default() {
        return {};
      }
    },
    model: { // 输入框绑定值
      type: String,
      default: ''
    },
    isNumber: { // 是否只输入数字
      type: Boolean,
      default: false
    },
    isPrice: { // 是否只输入价格
      type: Boolean,
      default: false
    },
    isPhone: { // 是否手机号
      type: Boolean,
      default: false
    },
    phoneReg: {
      // 手机号验证
      type: function type() {
        return Boolean | null;
      },

      default: null
    },
    isTel: { // 是否固定电话号
      type: Boolean,
      default: false
    },
    telReg: {
      // 固定电话号验证
      type: function type() {
        return Boolean | null;
      },

      default: null
    },
    isEmail: { // 是否邮箱
      type: Boolean,
      default: false
    },
    emailReg: {
      // 邮箱验证
      type: function type() {
        return Boolean | null;
      },

      default: null
    },
    isFormItem: {
      type: Boolean,
      default: true
    }
  },
  data: function data() {
    return {
      value: '' // 实际绑定值
    };
  },

  methods: {
    blurFun: function blurFun() {
      var _val = this.value;
      if (this.isPrice) _val = this.value === '' || this.value === null ? '' : parseFloat(this.value).toFixed(2);
      this.value = _val;
      this.$emit('update:model', _val);
      if (this.isPhone) this.$emit('update:phoneReg', this.phoneFun());
      if (this.isTel) this.$emit('update:telReg', this.telFun());
      if (this.isEmail) this.$emit('update:emailReg', this.emailFun());
    },
    inputFun: function inputFun(val) {
      var _val = val;
      if (this.isNumber && !this.isPrice) _val = Object(utils["a" /* GetCheckNumber */])(val);
      if (this.isPrice) _val = Object(utils["b" /* GetCheckPrice */])(val);
      this.value = _val;
      this.$emit('update:model', _val);
    },
    phoneFun: function phoneFun() {
      // 手机号
      return (/^[1][3,4,5,7,8,9][0-9]{9}$/.test(this.value)
      );
    },
    telFun: function telFun() {
      // 固定电话号
      return (/^([0-9]{3,4}-)?[0-9]{7,8}$/.test(this.value)
      );
    },
    emailFun: function emailFun() {
      // 邮箱
      return (/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/.test(this.value)
      );
    }
  }
});
// CONCATENATED MODULE: ./src/components/XProInput/src/index.vue?vue&type=script&lang=js&
 /* harmony default export */ var XProInput_srcvue_type_script_lang_js_ = (srcvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/XProInput/src/index.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  XProInput_srcvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/XProInput/src/index.vue"
/* harmony default export */ var src = (component.exports);
// CONCATENATED MODULE: ./src/components/XProInput/index.js

src.install = function (Vue) {
    Vue.component(src.name, src);
};

/* harmony default export */ var XProInput = __webpack_exports__["default"] = (src);

/***/ }),

/***/ 4:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return transformLineBreak; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return GetCheckPrice; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GetCheckNumber; });
/* unused harmony export addClass */
/* unused harmony export removeClass */
/* unused harmony export hasClass */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return isChildOf; });
/* unused harmony export getBlob */
/* unused harmony export saveAs */
/* unused harmony export download */
// 将文本中的换行符\n转为页面真正的换行显示
function transformLineBreak(val) {
    return val.split('\n').join('<br/>');
}

// 价格处理
function GetCheckPrice($event) {
    return $event.match(/^\d*(\.?\d{0,2})/g)[0] || null;
}

// 数字处理
function GetCheckNumber($event) {
    return $event.replace(/\D/g, '') || null;
}

// 添加类名
function addClass(el, cls) {
    if (!el) return;
    var curClass = el.className;
    var classes = (cls || '').split(' ');

    for (var i = 0, j = classes.length; i < j; i++) {
        var clsName = classes[i];
        if (!clsName) continue;

        if (el.classList) {
            el.classList.add(clsName);
        } else if (!hasClass(el, clsName)) {
            curClass += ' ' + clsName;
        }
    }
    if (!el.classList) {
        el.className = curClass;
    }
}

// 移除类名
function removeClass(el, cls) {
    if (!el || !cls) return;
    var classes = cls.split(' ');
    var curClass = ' ' + el.className + ' ';

    for (var i = 0, j = classes.length; i < j; i++) {
        var clsName = classes[i];
        if (!clsName) continue;

        if (el.classList) {
            el.classList.remove(clsName);
        } else if (hasClass(el, clsName)) {
            curClass = curClass.replace(' ' + clsName + ' ', ' ');
        }
    }
    if (!el.classList) {
        el.className = trim(curClass);
    }
}

// 是否含有类名
function hasClass(el, cls) {
    if (!el || !cls) return false;
    if (cls.indexOf(' ') !== -1) throw new Error('className should not contain space.');
    if (el.classList) {
        return el.classList.contains(cls);
    } else {
        return (' ' + el.className + ' ').indexOf(' ' + cls + ' ') > -1;
    }
}

// 查询是否含有某个子节点
function isChildOf(child, parent) {
    var parentNode;
    if (child && parent) {
        parentNode = child.parentNode;
        if (parent === parentNode) return true;
    }
    return false;
}

// 去除空格
function trim(string) {
    return (string || '').replace(/^[\s\uFEFF]+|[\s\uFEFF]+$/g, '');
}

// url 目标文件地址
function getBlob(url) {
    return new Promise(function (resolve) {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', url, true);
        xhr.responseType = 'blob';
        xhr.onload = function () {
            if (xhr.status === 200) {
                resolve(xhr.response);
            }
        };
        xhr.send();
    });
}

/**
 * 保存
 * @param  {Blob} blob
 * @param  {String} filename 想要保存的文件名称
 */
function saveAs(blob, filename) {
    if (window.navigator.msSaveOrOpenBlob) {
        navigator.msSaveBlob(blob, filename);
    } else {
        var link = document.createElement('a');
        var body = document.body;
        link.href = window.URL.createObjectURL(blob);
        link.download = filename;
        link.style.display = 'none';
        body.appendChild(link);
        link.click();
        body.removeChild(link);
        window.URL.revokeObjectURL(link.href);
    }
}

/**
 * 下载OSS
 * @param  {String} url 目标文件地址
 * @param  {String} filename 想要保存的文件名称
 */
function download(url, filename) {
    getBlob(url).then(function (blob) {
        saveAs(blob, filename);
    });
}

/***/ })

/******/ });