module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 31);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("lodash/cloneDeep");

/***/ }),

/***/ 13:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(3)(false);
// Module
exports.push([module.i, ".list-group{clear:both;overflow:hidden;width:100%}.el-upload-list__item{transition:none !important}.hideUpload .el-upload--picture-card{display:none !important}.el-upload--picture-card{background-color:#fbfdff;border:1px dashed #c0ccda;border-radius:6px;box-sizing:border-box;width:148px;height:148px;line-height:146px;vertical-align:top}.draggable_upload{float:left;width:148px;height:148px;border-radius:6px;border:1px solid #c0ccda;margin:0 20px 20px 0;overflow:hidden;position:relative;cursor:pointer}.draggable_upload:hover .content-wrap{display:block}.draggable_upload img{width:100%}.draggable_upload .content-wrap{display:none;position:absolute;z-index:100;width:100%;height:100%;top:0;left:0;background:rgba(0,0,0,0.4)}.draggable_upload .content-wrap .content{padding:0;margin:0;width:100%;height:100%;display:flex;align-items:center;justify-content:center}.draggable_upload .content-wrap .content i{color:#fff;font-size:18px}.draggable_upload .content-wrap .content i:nth-of-type(1){margin-right:10px}.draggable_upload .content-wrap .content i:nth-of-type(2){margin-left:10px}.wrap{float:left}\n", ""]);



/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var isOldIE = function isOldIE() {
  var memo;
  return function memorize() {
    if (typeof memo === 'undefined') {
      // Test for IE <= 9 as proposed by Browserhacks
      // @see http://browserhacks.com/#hack-e71d8692f65334173fee715c222cb805
      // Tests for existence of standard globals is to allow style-loader
      // to operate correctly into non-standard environments
      // @see https://github.com/webpack-contrib/style-loader/issues/177
      memo = Boolean(window && document && document.all && !window.atob);
    }

    return memo;
  };
}();

var getTarget = function getTarget() {
  var memo = {};
  return function memorize(target) {
    if (typeof memo[target] === 'undefined') {
      var styleTarget = document.querySelector(target); // Special case to return head of iframe instead of iframe itself

      if (window.HTMLIFrameElement && styleTarget instanceof window.HTMLIFrameElement) {
        try {
          // This will throw an exception if access to iframe is blocked
          // due to cross-origin restrictions
          styleTarget = styleTarget.contentDocument.head;
        } catch (e) {
          // istanbul ignore next
          styleTarget = null;
        }
      }

      memo[target] = styleTarget;
    }

    return memo[target];
  };
}();

var stylesInDom = [];

function getIndexByIdentifier(identifier) {
  var result = -1;

  for (var i = 0; i < stylesInDom.length; i++) {
    if (stylesInDom[i].identifier === identifier) {
      result = i;
      break;
    }
  }

  return result;
}

function modulesToDom(list, options) {
  var idCountMap = {};
  var identifiers = [];

  for (var i = 0; i < list.length; i++) {
    var item = list[i];
    var id = options.base ? item[0] + options.base : item[0];
    var count = idCountMap[id] || 0;
    var identifier = "".concat(id, " ").concat(count);
    idCountMap[id] = count + 1;
    var index = getIndexByIdentifier(identifier);
    var obj = {
      css: item[1],
      media: item[2],
      sourceMap: item[3]
    };

    if (index !== -1) {
      stylesInDom[index].references++;
      stylesInDom[index].updater(obj);
    } else {
      stylesInDom.push({
        identifier: identifier,
        updater: addStyle(obj, options),
        references: 1
      });
    }

    identifiers.push(identifier);
  }

  return identifiers;
}

function insertStyleElement(options) {
  var style = document.createElement('style');
  var attributes = options.attributes || {};

  if (typeof attributes.nonce === 'undefined') {
    var nonce =  true ? __webpack_require__.nc : undefined;

    if (nonce) {
      attributes.nonce = nonce;
    }
  }

  Object.keys(attributes).forEach(function (key) {
    style.setAttribute(key, attributes[key]);
  });

  if (typeof options.insert === 'function') {
    options.insert(style);
  } else {
    var target = getTarget(options.insert || 'head');

    if (!target) {
      throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");
    }

    target.appendChild(style);
  }

  return style;
}

function removeStyleElement(style) {
  // istanbul ignore if
  if (style.parentNode === null) {
    return false;
  }

  style.parentNode.removeChild(style);
}
/* istanbul ignore next  */


var replaceText = function replaceText() {
  var textStore = [];
  return function replace(index, replacement) {
    textStore[index] = replacement;
    return textStore.filter(Boolean).join('\n');
  };
}();

function applyToSingletonTag(style, index, remove, obj) {
  var css = remove ? '' : obj.media ? "@media ".concat(obj.media, " {").concat(obj.css, "}") : obj.css; // For old IE

  /* istanbul ignore if  */

  if (style.styleSheet) {
    style.styleSheet.cssText = replaceText(index, css);
  } else {
    var cssNode = document.createTextNode(css);
    var childNodes = style.childNodes;

    if (childNodes[index]) {
      style.removeChild(childNodes[index]);
    }

    if (childNodes.length) {
      style.insertBefore(cssNode, childNodes[index]);
    } else {
      style.appendChild(cssNode);
    }
  }
}

function applyToTag(style, options, obj) {
  var css = obj.css;
  var media = obj.media;
  var sourceMap = obj.sourceMap;

  if (media) {
    style.setAttribute('media', media);
  } else {
    style.removeAttribute('media');
  }

  if (sourceMap && typeof btoa !== 'undefined') {
    css += "\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))), " */");
  } // For old IE

  /* istanbul ignore if  */


  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    while (style.firstChild) {
      style.removeChild(style.firstChild);
    }

    style.appendChild(document.createTextNode(css));
  }
}

var singleton = null;
var singletonCounter = 0;

function addStyle(obj, options) {
  var style;
  var update;
  var remove;

  if (options.singleton) {
    var styleIndex = singletonCounter++;
    style = singleton || (singleton = insertStyleElement(options));
    update = applyToSingletonTag.bind(null, style, styleIndex, false);
    remove = applyToSingletonTag.bind(null, style, styleIndex, true);
  } else {
    style = insertStyleElement(options);
    update = applyToTag.bind(null, style, options);

    remove = function remove() {
      removeStyleElement(style);
    };
  }

  update(obj);
  return function updateStyle(newObj) {
    if (newObj) {
      if (newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap) {
        return;
      }

      update(obj = newObj);
    } else {
      remove();
    }
  };
}

module.exports = function (list, options) {
  options = options || {}; // Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
  // tags it will allow on a page

  if (!options.singleton && typeof options.singleton !== 'boolean') {
    options.singleton = isOldIE();
  }

  list = list || [];
  var lastIdentifiers = modulesToDom(list, options);
  return function update(newList) {
    newList = newList || [];

    if (Object.prototype.toString.call(newList) !== '[object Array]') {
      return;
    }

    for (var i = 0; i < lastIdentifiers.length; i++) {
      var identifier = lastIdentifiers[i];
      var index = getIndexByIdentifier(identifier);
      stylesInDom[index].references--;
    }

    var newLastIdentifiers = modulesToDom(newList, options);

    for (var _i = 0; _i < lastIdentifiers.length; _i++) {
      var _identifier = lastIdentifiers[_i];

      var _index = getIndexByIdentifier(_identifier);

      if (stylesInDom[_index].references === 0) {
        stylesInDom[_index].updater();

        stylesInDom.splice(_index, 1);
      }
    }

    lastIdentifiers = newLastIdentifiers;
  };
};

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("vuedraggable");

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function (useSourceMap) {
  var list = []; // return the list of modules as css string

  list.toString = function toString() {
    return this.map(function (item) {
      var content = cssWithMappingToString(item, useSourceMap);

      if (item[2]) {
        return '@media ' + item[2] + '{' + content + '}';
      } else {
        return content;
      }
    }).join('');
  }; // import a list of modules into the list


  list.i = function (modules, mediaQuery) {
    if (typeof modules === 'string') {
      modules = [[null, modules, '']];
    }

    var alreadyImportedModules = {};

    for (var i = 0; i < this.length; i++) {
      var id = this[i][0];

      if (id != null) {
        alreadyImportedModules[id] = true;
      }
    }

    for (i = 0; i < modules.length; i++) {
      var item = modules[i]; // skip already imported module
      // this implementation is not 100% perfect for weird media query combinations
      // when a module is imported multiple times with different media queries.
      // I hope this will never occur (Hey this way we have smaller bundles)

      if (item[0] == null || !alreadyImportedModules[item[0]]) {
        if (mediaQuery && !item[2]) {
          item[2] = mediaQuery;
        } else if (mediaQuery) {
          item[2] = '(' + item[2] + ') and (' + mediaQuery + ')';
        }

        list.push(item);
      }
    }
  };

  return list;
};

function cssWithMappingToString(item, useSourceMap) {
  var content = item[1] || '';
  var cssMapping = item[3];

  if (!cssMapping) {
    return content;
  }

  if (useSourceMap && typeof btoa === 'function') {
    var sourceMapping = toComment(cssMapping);
    var sourceURLs = cssMapping.sources.map(function (source) {
      return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */';
    });
    return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
  }

  return [content].join('\n');
} // Adapted from convert-source-map (MIT)


function toComment(sourceMap) {
  // eslint-disable-next-line no-undef
  var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
  var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;
  return '/*# ' + data + ' */';
}

/***/ }),

/***/ 31:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XUpload/src/index.vue?vue&type=template&id=01953a71&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "section",
    [
      _c(
        "draggable",
        _vm._b(
          {
            staticClass: "list-group",
            attrs: {
              tag: "div",
              disabled: !_vm.isdDraggable || !_vm.isImgType
            },
            on: {
              start: function($event) {
                _vm.drag = true
              },
              end: _vm.dragEnd
            },
            model: {
              value: _vm.draggableFileList,
              callback: function($$v) {
                _vm.draggableFileList = $$v
              },
              expression: "draggableFileList"
            }
          },
          "draggable",
          _vm.dragOptions,
          false
        ),
        [
          _c(
            "transition-group",
            _vm._l(_vm.fileList, function(file, index) {
              return _c(
                "div",
                { key: file + index, staticClass: "draggable_upload" },
                [
                  _c("div", [
                    !_vm.regVideo.test(file.url)
                      ? _c("img", {
                          staticClass: "el-upload-list__item-thumbnail",
                          attrs: { src: file.url, alt: "" }
                        })
                      : _c("video", { attrs: { src: file.url } })
                  ]),
                  _c("div", { staticClass: "content-wrap" }, [
                    _c("div", { staticClass: "content" }, [
                      _c("i", {
                        staticClass: "el-icon-zoom-in",
                        on: {
                          click: function($event) {
                            return _vm.handlePictureCardPreview(file)
                          }
                        }
                      }),
                      _vm.isImgType
                        ? _c("i", {
                            staticClass: "el-icon-delete",
                            on: {
                              click: function($event) {
                                return _vm.handleRemove(file)
                              }
                            }
                          })
                        : _vm._e()
                    ])
                  ])
                ]
              )
            }),
            0
          ),
          !(_vm.fileList.length >= _vm.limit) && _vm.isCropper
            ? _c(
                "div",
                {
                  staticClass: "el-upload el-upload--picture-card",
                  on: {
                    click: function($event) {
                      _vm.cropperVisible = true
                    }
                  }
                },
                [
                  _c("i", { staticClass: "el-icon-plus" }),
                  _c("input", {
                    staticClass: "el-upload__input",
                    attrs: { type: "file", name: "file" }
                  })
                ]
              )
            : _vm._e(),
          _c(
            "div",
            {
              staticStyle: { float: "left" },
              attrs: { slot: "footer" },
              slot: "footer"
            },
            [
              (_vm.isImgType
              ? _vm.fileList
              : _vm.fileList.length > 0)
                ? _c(
                    "el-upload",
                    _vm._g(
                      _vm._b(
                        {
                          ref: "uploadRef",
                          class: {
                            hideUpload:
                              _vm.isImgType && !_vm.isCropper
                                ? _vm.fileList.length >= _vm.limit
                                : true
                          },
                          attrs: {
                            disabled: _vm.isCropper,
                            action: "",
                            "list-type": "picture-card",
                            limit: _vm.limit,
                            "file-list": _vm.fileList,
                            "show-file-list": false,
                            "before-upload": _vm.beforeAvatarUpload
                          }
                        },
                        "el-upload",
                        _vm.$attrs,
                        false
                      ),
                      _vm.$listeners
                    ),
                    [
                      _c("i", {
                        staticClass: "el-icon-plus",
                        attrs: { slot: "default" },
                        slot: "default"
                      })
                    ]
                  )
                : _vm._e()
            ],
            1
          )
        ],
        1
      ),
      _c(
        "el-dialog",
        {
          attrs: { visible: _vm.dialogVisible },
          on: {
            "update:visible": function($event) {
              _vm.dialogVisible = $event
            }
          }
        },
        [
          !_vm.regVideo.test(_vm.dialogImageUrl)
            ? _c("img", {
                attrs: { width: "100%", src: _vm.dialogImageUrl, alt: "" }
              })
            : _c("XVideo", {
                attrs: { playerOptions: { sources: _vm.sources } }
              })
        ],
        1
      ),
      _vm.isImgType ? _vm._t("default") : _vm._e(),
      _c(
        "el-dialog",
        {
          attrs: {
            title: "图片剪裁",
            visible: _vm.cropperVisible,
            width: "800px",
            top: "50px"
          },
          on: {
            "update:visible": function($event) {
              _vm.cropperVisible = $event
            }
          }
        },
        [
          _c("div", { staticClass: "cropper-content" }, [
            _c(
              "div",
              {
                staticClass: "cropper",
                staticStyle: { "text-align": "center" }
              },
              [
                _c("XCropper", {
                  ref: "cropperImage",
                  attrs: { imgType: _vm.imgType }
                })
              ],
              1
            )
          ]),
          _c(
            "div",
            {
              staticClass: "dialog-footer",
              attrs: { slot: "footer" },
              slot: "footer"
            },
            [
              _c(
                "el-button",
                { attrs: { size: "small" }, on: { click: _vm.closeCropper } },
                [_vm._v("取 消")]
              ),
              _c(
                "el-button",
                {
                  attrs: { size: "small", type: "primary" },
                  on: { click: _vm.finishCropper }
                },
                [_vm._v("确认")]
              )
            ],
            1
          )
        ]
      )
    ],
    2
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/XUpload/src/index.vue?vue&type=template&id=01953a71&

// EXTERNAL MODULE: external "lodash/cloneDeep"
var cloneDeep_ = __webpack_require__(1);
var cloneDeep_default = /*#__PURE__*/__webpack_require__.n(cloneDeep_);

// EXTERNAL MODULE: external "vuedraggable"
var external_vuedraggable_ = __webpack_require__(20);
var external_vuedraggable_default = /*#__PURE__*/__webpack_require__.n(external_vuedraggable_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XUpload/src/index.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/**
 * 功能作用：XUpload上传
 * 初始注释时间： 2021/6/30
 * 注释创建人：张耀伦
 */



/* harmony default export */ var srcvue_type_script_lang_js_ = ({
    name: 'XUpload',
    components: {
        draggable: external_vuedraggable_default.a
    },
    watch: {
        fileList: {
            handler: function handler(val) {
                this.draggableFileList = cloneDeep_default()(val);
            },

            immediate: true,
            deep: true
        }
    },
    props: {
        fileList: { // 文件数据集合
            type: Array,
            required: true,
            default: function _default() {
                return [];
            }
        },
        isImgType: { // 是否是上传文件，false是展示
            type: Boolean,
            default: true
        },
        isUploadImg: { // 是否允许上传图片
            type: Boolean,
            default: true
        },
        isUploadVideo: { // 是否允许上传视频
            type: Boolean,
            default: true
        },
        limit: { // 上传数量
            type: Number,
            default: 9
        },
        imgSize: { // 限制图片大小，0不限制
            type: Number,
            default: 1
        },
        videoSize: { // 限制视频大小，0不限制
            type: Number,
            default: 0
        },
        width: { // 图片宽
            type: Number || undefined,
            default: undefined
        },
        height: { // 图片高
            type: Number || undefined,
            default: undefined
        },
        imgType: { // 图片格式
            type: String,
            default: 'jpg|png|jpeg'
        },
        videoType: { // 视频格式
            type: String,
            default: 'mp4'
        },
        isdDraggable: { // 是否拖拽
            type: Boolean,
            default: false
        },
        isCustomize: { // 是否自定义图片尺寸校验
            type: Boolean,
            default: false
        },
        isCropper: { // 是否图片剪裁
            type: Boolean,
            default: false
        }
    },
    data: function data() {
        return {
            cropperVisible: false,
            draggableFileList: cloneDeep_default()(this.fileList),
            dragOptions: {
                animation: 300,
                group: "description",
                disabled: false
            },
            regVideo: '', // 视频验证规则
            dialogImageUrl: '', // 放大图片路径
            dialogVisible: false, // 放大图片弹框开关
            isVideo: false, // 文件是否是视频
            sources: [] // 视频播放数据
        };
    },
    created: function created() {
        this.regVideo = new RegExp(this.videoType);
    },

    methods: {
        closeCropper: function closeCropper() {
            this.$refs.cropperImage.clearCrop();
            this.cropperVisible = false;
        },
        finishCropper: function finishCropper() {
            var _this = this;

            this.$refs.cropperImage.$refs.cropper.getCropBlob(function (data) {
                _this.checkLt({ size: data.size }).then(function () {
                    _this.cropperVisible = !_this.$listeners.cropperFile(data);
                }).catch(function (err) {
                    _this.$message.error(err);
                });
            });
        },
        checkLt: function checkLt(file) {
            var videoSize = this.videoSize,
                imgSize = this.imgSize;

            var maxVal = this.isVideo ? videoSize : imgSize;
            return new Promise(function (resolve, reject) {
                var valid = maxVal !== 0 ? file.size / 1024 / 1024 <= maxVal : true;
                valid ? resolve(true) : reject('\u4E0A\u4F20\u5927\u5C0F\u4E0D\u80FD\u8D85\u8FC7 ' + maxVal + 'MB!');
            });
        },
        beforeAvatarUpload: function beforeAvatarUpload(file) {
            var _this2 = this;

            var isJPG = true;
            var isUploadImg = this.isUploadImg,
                isUploadVideo = this.isUploadVideo,
                isImgType = this.isImgType,
                imgType = this.imgType,
                videoType = this.videoType,
                width = this.width,
                height = this.height,
                isCustomize = this.isCustomize;

            var _type = file.type.toLowerCase();
            if (isImgType) {
                var regimage = new RegExp('^image/(' + imgType + ')');
                var regvideo = new RegExp('^video\\/(' + videoType + ')');
                if (isUploadImg) isJPG = regimage.test(_type);
                if (isUploadVideo) this.isVideo = regvideo.test(_type);
            }
            var CheckArr = [this.checkLt(file)];
            if (width || height || isCustomize) {
                CheckArr = [this.checkLt(file), this.checkSize(file)];
            }
            return Promise.all(CheckArr).then(function () {
                Promise.resolve( true && isJPG);
            }).catch(function (err) {
                _this2.$message.error(err);
                return Promise.reject(false);
            });
        },
        checkSize: function checkSize(file) {
            var _this3 = this;

            var width = this.width,
                height = this.height,
                isCustomize = this.isCustomize;

            return new Promise(function (resolve, reject) {
                var _URL = window.URL || window.webkitURL;
                var img = new Image();
                if (!width && !height && !isCustomize) {
                    resolve(true);
                } else {
                    img.onload = function () {
                        var valid = void 0;
                        if (isCustomize) {
                            valid = _this3.$listeners.checkWh(img.width, img.height);
                        } else {
                            if (width && height) {
                                valid = img.width / img.height == width / height;
                            } else if (height === undefined) {
                                valid = img.width === width;
                            }
                        }
                        valid ? resolve() : reject();
                    };
                }
                img.src = _URL.createObjectURL(file);
            }).then(function () {
                return file;
            }, function () {
                return Promise.reject('图片尺寸不符合要求，请修改后重新上传！');
            });
        },

        // 点击查看大图
        handlePictureCardPreview: function handlePictureCardPreview(_ref) {
            var url = _ref.url;

            if (this.regVideo.test(url)) {
                var index = url.lastIndexOf('.');
                var type = url.substring(Number(index) + 1);
                this.sources = [{
                    type: 'video/' + type, // 类型
                    src: url // url地址
                }];
            }
            this.dialogImageUrl = url;
            this.dialogVisible = true;
        },

        // 删除
        handleRemove: function handleRemove(file) {
            this.updateFileList(this.fileList.filter(function (v) {
                return v.url !== file.url;
            }));
        },
        updateFileList: function updateFileList(val) {
            this.$emit('update:fileList', cloneDeep_default()(val));
        },
        dragEnd: function dragEnd() {
            this.updateFileList(this.draggableFileList);
            this.end = false;
        }
    }
});
// CONCATENATED MODULE: ./src/components/XUpload/src/index.vue?vue&type=script&lang=js&
 /* harmony default export */ var XUpload_srcvue_type_script_lang_js_ = (srcvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/style-loader/dist/runtime/injectStylesIntoStyleTag.js
var injectStylesIntoStyleTag = __webpack_require__(2);
var injectStylesIntoStyleTag_default = /*#__PURE__*/__webpack_require__.n(injectStylesIntoStyleTag);

// EXTERNAL MODULE: ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XUpload/src/index.vue?vue&type=style&index=0&lang=scss&
var srcvue_type_style_index_0_lang_scss_ = __webpack_require__(13);
var srcvue_type_style_index_0_lang_scss_default = /*#__PURE__*/__webpack_require__.n(srcvue_type_style_index_0_lang_scss_);

// CONCATENATED MODULE: ./node_modules/style-loader/dist/cjs.js!./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XUpload/src/index.vue?vue&type=style&index=0&lang=scss&

            

var options = {};

options.insert = "head";
options.singleton = false;

var update = injectStylesIntoStyleTag_default()(srcvue_type_style_index_0_lang_scss_default.a, options);



/* harmony default export */ var XUpload_srcvue_type_style_index_0_lang_scss_ = (srcvue_type_style_index_0_lang_scss_default.a.locals || {});
// CONCATENATED MODULE: ./src/components/XUpload/src/index.vue?vue&type=style&index=0&lang=scss&

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/XUpload/src/index.vue






/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  XUpload_srcvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/XUpload/src/index.vue"
/* harmony default export */ var src = (component.exports);
// CONCATENATED MODULE: ./src/components/XUpload/index.js

src.install = function (Vue) {
    Vue.component(src.name, src);
};

/* harmony default export */ var XUpload = __webpack_exports__["default"] = (src);

/***/ })

/******/ });