module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 35);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("lodash/cloneDeep");

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(3)(false);
// Module
exports.push([module.i, ".XProSku{width:100%;height:100%}.XProSku-item{display:flex;flex-flow:column;width:100%;color:#323232;font-size:14px}.XProSku-item-ui{width:100%;display:flex;flex-wrap:wrap}.XProSku-item-ui li{border:1px solid #dcdfe6;box-sizing:border-box;border-radius:5px;color:#606266;font-weight:500;text-align:center;cursor:pointer;list-style-type:none;padding:5px 20px;margin-right:10px;font-size:12px}.XProSku-item-ui li.Active{color:#409eff;border:1px solid #409eff}.XProSku-item-ui li.noActive{opacity:0.4;color:#999;border:1px dashed #dcdfe6;cursor:not-allowed}\n", ""]);



/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var isOldIE = function isOldIE() {
  var memo;
  return function memorize() {
    if (typeof memo === 'undefined') {
      // Test for IE <= 9 as proposed by Browserhacks
      // @see http://browserhacks.com/#hack-e71d8692f65334173fee715c222cb805
      // Tests for existence of standard globals is to allow style-loader
      // to operate correctly into non-standard environments
      // @see https://github.com/webpack-contrib/style-loader/issues/177
      memo = Boolean(window && document && document.all && !window.atob);
    }

    return memo;
  };
}();

var getTarget = function getTarget() {
  var memo = {};
  return function memorize(target) {
    if (typeof memo[target] === 'undefined') {
      var styleTarget = document.querySelector(target); // Special case to return head of iframe instead of iframe itself

      if (window.HTMLIFrameElement && styleTarget instanceof window.HTMLIFrameElement) {
        try {
          // This will throw an exception if access to iframe is blocked
          // due to cross-origin restrictions
          styleTarget = styleTarget.contentDocument.head;
        } catch (e) {
          // istanbul ignore next
          styleTarget = null;
        }
      }

      memo[target] = styleTarget;
    }

    return memo[target];
  };
}();

var stylesInDom = [];

function getIndexByIdentifier(identifier) {
  var result = -1;

  for (var i = 0; i < stylesInDom.length; i++) {
    if (stylesInDom[i].identifier === identifier) {
      result = i;
      break;
    }
  }

  return result;
}

function modulesToDom(list, options) {
  var idCountMap = {};
  var identifiers = [];

  for (var i = 0; i < list.length; i++) {
    var item = list[i];
    var id = options.base ? item[0] + options.base : item[0];
    var count = idCountMap[id] || 0;
    var identifier = "".concat(id, " ").concat(count);
    idCountMap[id] = count + 1;
    var index = getIndexByIdentifier(identifier);
    var obj = {
      css: item[1],
      media: item[2],
      sourceMap: item[3]
    };

    if (index !== -1) {
      stylesInDom[index].references++;
      stylesInDom[index].updater(obj);
    } else {
      stylesInDom.push({
        identifier: identifier,
        updater: addStyle(obj, options),
        references: 1
      });
    }

    identifiers.push(identifier);
  }

  return identifiers;
}

function insertStyleElement(options) {
  var style = document.createElement('style');
  var attributes = options.attributes || {};

  if (typeof attributes.nonce === 'undefined') {
    var nonce =  true ? __webpack_require__.nc : undefined;

    if (nonce) {
      attributes.nonce = nonce;
    }
  }

  Object.keys(attributes).forEach(function (key) {
    style.setAttribute(key, attributes[key]);
  });

  if (typeof options.insert === 'function') {
    options.insert(style);
  } else {
    var target = getTarget(options.insert || 'head');

    if (!target) {
      throw new Error("Couldn't find a style target. This probably means that the value for the 'insert' parameter is invalid.");
    }

    target.appendChild(style);
  }

  return style;
}

function removeStyleElement(style) {
  // istanbul ignore if
  if (style.parentNode === null) {
    return false;
  }

  style.parentNode.removeChild(style);
}
/* istanbul ignore next  */


var replaceText = function replaceText() {
  var textStore = [];
  return function replace(index, replacement) {
    textStore[index] = replacement;
    return textStore.filter(Boolean).join('\n');
  };
}();

function applyToSingletonTag(style, index, remove, obj) {
  var css = remove ? '' : obj.media ? "@media ".concat(obj.media, " {").concat(obj.css, "}") : obj.css; // For old IE

  /* istanbul ignore if  */

  if (style.styleSheet) {
    style.styleSheet.cssText = replaceText(index, css);
  } else {
    var cssNode = document.createTextNode(css);
    var childNodes = style.childNodes;

    if (childNodes[index]) {
      style.removeChild(childNodes[index]);
    }

    if (childNodes.length) {
      style.insertBefore(cssNode, childNodes[index]);
    } else {
      style.appendChild(cssNode);
    }
  }
}

function applyToTag(style, options, obj) {
  var css = obj.css;
  var media = obj.media;
  var sourceMap = obj.sourceMap;

  if (media) {
    style.setAttribute('media', media);
  } else {
    style.removeAttribute('media');
  }

  if (sourceMap && typeof btoa !== 'undefined') {
    css += "\n/*# sourceMappingURL=data:application/json;base64,".concat(btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))), " */");
  } // For old IE

  /* istanbul ignore if  */


  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    while (style.firstChild) {
      style.removeChild(style.firstChild);
    }

    style.appendChild(document.createTextNode(css));
  }
}

var singleton = null;
var singletonCounter = 0;

function addStyle(obj, options) {
  var style;
  var update;
  var remove;

  if (options.singleton) {
    var styleIndex = singletonCounter++;
    style = singleton || (singleton = insertStyleElement(options));
    update = applyToSingletonTag.bind(null, style, styleIndex, false);
    remove = applyToSingletonTag.bind(null, style, styleIndex, true);
  } else {
    style = insertStyleElement(options);
    update = applyToTag.bind(null, style, options);

    remove = function remove() {
      removeStyleElement(style);
    };
  }

  update(obj);
  return function updateStyle(newObj) {
    if (newObj) {
      if (newObj.css === obj.css && newObj.media === obj.media && newObj.sourceMap === obj.sourceMap) {
        return;
      }

      update(obj = newObj);
    } else {
      remove();
    }
  };
}

module.exports = function (list, options) {
  options = options || {}; // Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
  // tags it will allow on a page

  if (!options.singleton && typeof options.singleton !== 'boolean') {
    options.singleton = isOldIE();
  }

  list = list || [];
  var lastIdentifiers = modulesToDom(list, options);
  return function update(newList) {
    newList = newList || [];

    if (Object.prototype.toString.call(newList) !== '[object Array]') {
      return;
    }

    for (var i = 0; i < lastIdentifiers.length; i++) {
      var identifier = lastIdentifiers[i];
      var index = getIndexByIdentifier(identifier);
      stylesInDom[index].references--;
    }

    var newLastIdentifiers = modulesToDom(newList, options);

    for (var _i = 0; _i < lastIdentifiers.length; _i++) {
      var _identifier = lastIdentifiers[_i];

      var _index = getIndexByIdentifier(_identifier);

      if (stylesInDom[_index].references === 0) {
        stylesInDom[_index].updater();

        stylesInDom.splice(_index, 1);
      }
    }

    lastIdentifiers = newLastIdentifiers;
  };
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function (useSourceMap) {
  var list = []; // return the list of modules as css string

  list.toString = function toString() {
    return this.map(function (item) {
      var content = cssWithMappingToString(item, useSourceMap);

      if (item[2]) {
        return '@media ' + item[2] + '{' + content + '}';
      } else {
        return content;
      }
    }).join('');
  }; // import a list of modules into the list


  list.i = function (modules, mediaQuery) {
    if (typeof modules === 'string') {
      modules = [[null, modules, '']];
    }

    var alreadyImportedModules = {};

    for (var i = 0; i < this.length; i++) {
      var id = this[i][0];

      if (id != null) {
        alreadyImportedModules[id] = true;
      }
    }

    for (i = 0; i < modules.length; i++) {
      var item = modules[i]; // skip already imported module
      // this implementation is not 100% perfect for weird media query combinations
      // when a module is imported multiple times with different media queries.
      // I hope this will never occur (Hey this way we have smaller bundles)

      if (item[0] == null || !alreadyImportedModules[item[0]]) {
        if (mediaQuery && !item[2]) {
          item[2] = mediaQuery;
        } else if (mediaQuery) {
          item[2] = '(' + item[2] + ') and (' + mediaQuery + ')';
        }

        list.push(item);
      }
    }
  };

  return list;
};

function cssWithMappingToString(item, useSourceMap) {
  var content = item[1] || '';
  var cssMapping = item[3];

  if (!cssMapping) {
    return content;
  }

  if (useSourceMap && typeof btoa === 'function') {
    var sourceMapping = toComment(cssMapping);
    var sourceURLs = cssMapping.sources.map(function (source) {
      return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */';
    });
    return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
  }

  return [content].join('\n');
} // Adapted from convert-source-map (MIT)


function toComment(sourceMap) {
  // eslint-disable-next-line no-undef
  var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
  var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;
  return '/*# ' + data + ' */';
}

/***/ }),

/***/ 35:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XProSku/src/index.vue?vue&type=template&id=5926e560&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "XProSku" },
    _vm._l(_vm.attrData, function(item, index) {
      return _c("div", { key: index, staticClass: "XProSku-item" }, [
        _c("div", [
          _vm._v(_vm._s(item[_vm.attrAbuteName.abuteName]) + " "),
          item.is_multiple ? _c("span", [_vm._v("(可多选)")]) : _vm._e()
        ]),
        _c(
          "ul",
          { staticClass: "XProSku-item-ui" },
          _vm._l(item[_vm.attrAbuteName.abuteChild], function(oItem, oIndex) {
            return _c(
              "li",
              {
                key: oIndex,
                class: [
                  oItem.isShow || item.is_multiple || item.is_necessary
                    ? ""
                    : "noActive",
                  _vm.selectArr[index] ===
                    oItem[_vm.attrAbuteName.abuteChildValue] ||
                  ((item.is_multiple || item.is_necessary) &&
                    _vm.selectInfo.selectedMsg &&
                    _vm.selectInfo.selectedMsg[index] &&
                    _vm.selectInfo.selectedMsg[index]
                      .split(" ")
                      .indexOf(oItem[_vm.attrAbuteName.abuteChildName]) !== -1)
                    ? "Active"
                    : ""
                ],
                on: {
                  click: function($event) {
                    return _vm.abuteBtnClick(oItem, index, item)
                  }
                }
              },
              [
                _vm._v(
                  "\n                " +
                    _vm._s(oItem[_vm.attrAbuteName.abuteChildName]) +
                    "\n            "
                )
              ]
            )
          }),
          0
        )
      ])
    }),
    0
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/XProSku/src/index.vue?vue&type=template&id=5926e560&

// EXTERNAL MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XProSku/src/index.vue?vue&type=script&lang=js&
var srcvue_type_script_lang_js_ = __webpack_require__(6);

// CONCATENATED MODULE: ./src/components/XProSku/src/index.vue?vue&type=script&lang=js&
 /* harmony default export */ var XProSku_srcvue_type_script_lang_js_ = (srcvue_type_script_lang_js_["a" /* default */]); 
// EXTERNAL MODULE: ./node_modules/style-loader/dist/runtime/injectStylesIntoStyleTag.js
var injectStylesIntoStyleTag = __webpack_require__(2);
var injectStylesIntoStyleTag_default = /*#__PURE__*/__webpack_require__.n(injectStylesIntoStyleTag);

// EXTERNAL MODULE: ./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XProSku/src/index.vue?vue&type=style&index=0&lang=scss&
var srcvue_type_style_index_0_lang_scss_ = __webpack_require__(12);
var srcvue_type_style_index_0_lang_scss_default = /*#__PURE__*/__webpack_require__.n(srcvue_type_style_index_0_lang_scss_);

// CONCATENATED MODULE: ./node_modules/style-loader/dist/cjs.js!./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./src/components/XProSku/src/index.vue?vue&type=style&index=0&lang=scss&

            

var options = {};

options.insert = "head";
options.singleton = false;

var update = injectStylesIntoStyleTag_default()(srcvue_type_style_index_0_lang_scss_default.a, options);



/* harmony default export */ var XProSku_srcvue_type_style_index_0_lang_scss_ = (srcvue_type_style_index_0_lang_scss_default.a.locals || {});
// CONCATENATED MODULE: ./src/components/XProSku/src/index.vue?vue&type=style&index=0&lang=scss&

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/XProSku/src/index.vue






/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  XProSku_srcvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/XProSku/src/index.vue"
/* harmony default export */ var src = (component.exports);
// CONCATENATED MODULE: ./src/components/XProSku/index.js

src.install = function (Vue) {
    Vue.component(src.name, src);
};

/* harmony default export */ var XProSku = __webpack_exports__["default"] = (src);

/***/ }),

/***/ 6:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1);
/* harmony import */ var lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0__);
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/**
 * 功能作用：商品sku选择（必选、可选、多选）
 * 初始注释时间： 2021/6/24
 * 注释创建人：张耀伦
 */


/* harmony default export */ __webpack_exports__["a"] = ({
    name: 'XProSku',
    props: {
        attrInfo: { // 规格组合数据
            type: Array,
            required: true,
            default: function _default() {
                return [];
            }
        },
        attrAbute: { // 规格数据
            type: Array,
            required: true,
            default: function _default() {
                return [];
            }
        },
        infoName: { // 设置规格组合数据标识
            type: Object,
            default: function _default() {
                return {};
            }
        },
        abuteName: { // 设置规格数据标识
            type: Object,
            default: function _default() {
                return {};
            }
        },
        selectInfo: { // 选中规格
            type: Object,
            default: function _default() {
                return {};
            }
        },
        attrDefault: { // 默认值
            type: Array,
            default: function _default() {
                return [];
            }
        }
    },
    data: function data() {
        return {
            attrInfoName: _extends({ // 规格组合数据标识
                infoMatchName: 'goods_attr_child', // 规格组合id标识字段
                infoStockName: 'attr_stock' }, this.infoName),
            attrAbuteName: _extends({ //规格数据标识
                abuteName: 'attr_name', // 规格大类名称标识字段（sku）
                abuteValue: 'attr_id', // 规格大类id标识字段（sku）
                abuteChild: 'child', // 规格数据标识字段（spu集合）
                abuteChildName: 'attr_name', // 规格名称标识字段（spu）
                abuteChildValue: 'attr_id' }, this.abuteName),
            attrData: lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0___default()(this.attrAbute), // 页面渲染规格数据
            selectArr: [].concat(this.attrDefault), // 存放被选中的值
            shopItemInfo: {} // 存放要和选中的值进行匹配的数据
        };
    },
    mounted: function mounted() {
        var _this = this;

        var attrInfo = this.attrInfo,
            infoMatchName = this.attrInfoName.infoMatchName;
        /** 设置与选中的值进行匹配的数据 */

        for (var i = 0, k = attrInfo.length; i < k; i++) {
            this.shopItemInfo[attrInfo[i][infoMatchName]] = attrInfo[i];
        }
        /** 初始化设置--设置选中初始数据 */
        this.updateSelectInfo(_extends({}, this.setMultipleSelect()));
        /** 初始化设置--设置规格数据 */
        setTimeout(function () {
            return _this.setAttrItem();
        });
    },

    methods: {
        setMultipleSelect: function setMultipleSelect() {
            var attrDefault = this.attrDefault,
                attrData = this.attrData,
                _attrAbuteName = this.attrAbuteName,
                abuteName = _attrAbuteName.abuteName,
                abuteChild = _attrAbuteName.abuteChild,
                abuteChildName = _attrAbuteName.abuteChildName,
                abuteChildValue = _attrAbuteName.abuteChildValue;
            /** 初始化设置--设置选中初始数据
             * unselectedMsg-请选择
             * selectedMsg-已选择
             * multipleSelect-非组合属性（多选、可选）数据
             * */

            var multipleSelect = [];
            var selectedMsg = [];
            var unselectedMsg = [];
            if (attrDefault.length > 0) {
                for (var i = 0, k = attrData.length; i < k; i++) {
                    var _attrData$i = attrData[i],
                        _attrData$i$is_multip = _attrData$i.is_multiple,
                        is_multiple = _attrData$i$is_multip === undefined ? false : _attrData$i$is_multip,
                        _attrData$i$is_necess = _attrData$i.is_necessary,
                        is_necessary = _attrData$i$is_necess === undefined ? false : _attrData$i$is_necess;

                    unselectedMsg[i] = attrData[i][abuteName];
                    if (!is_multiple && !is_necessary) {
                        var childList = attrData[i][abuteChild] || [];
                        for (var m = 0, l = childList.length; m < l; m++) {
                            selectedMsg[i] = childList[m][abuteChildName];
                            if (attrDefault.indexOf(childList[m][abuteChildValue]) === -1) {
                                unselectedMsg[i] = '';
                            }
                        }
                    } else {
                        selectedMsg[i] = '';
                    }
                }
            }
            return { multipleSelect: multipleSelect, selectedMsg: selectedMsg, unselectedMsg: unselectedMsg };
        },

        /** 页面规格点击触发相关设置 */
        abuteBtnClick: function abuteBtnClick(oItem, index, item) {
            var _this2 = this;

            var _item$is_multiple = item.is_multiple,
                is_multiple = _item$is_multiple === undefined ? false : _item$is_multiple,
                _item$is_necessary = item.is_necessary,
                is_necessary = _item$is_necessary === undefined ? false : _item$is_necessary; // 是否是多选 是否是非必选

            if (!oItem.isShow && !is_multiple && !is_necessary) return;
            var selectArr = this.selectArr,
                _attrAbuteName2 = this.attrAbuteName,
                abuteName = _attrAbuteName2.abuteName,
                abuteValue = _attrAbuteName2.abuteValue,
                abuteChild = _attrAbuteName2.abuteChild,
                abuteChildValue = _attrAbuteName2.abuteChildValue,
                abuteChildName = _attrAbuteName2.abuteChildName,
                _selectInfo = this.selectInfo,
                _selectInfo$unselecte = _selectInfo.unselectedMsg,
                unselectedMsg = _selectInfo$unselecte === undefined ? [] : _selectInfo$unselecte,
                _selectInfo$selectedM = _selectInfo.selectedMsg,
                selectedMsg = _selectInfo$selectedM === undefined ? [] : _selectInfo$selectedM,
                _selectInfo$multipleS = _selectInfo.multipleSelect,
                multipleSelect = _selectInfo$multipleS === undefined ? [] : _selectInfo$multipleS;

            var multipleSelectList = lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0___default()(multipleSelect); // 多选选中数据集合
            var selectedMsgVal = selectedMsg[index]; // selectedMsg选中值
            var selectVal = oItem[abuteChildValue]; // 当前点击的规格值
            var selectName = oItem[abuteChildName]; // 当前点击的规格名字
            var abuteNameVal = item[abuteName]; // 当前点击的规格大类名字
            var isSelected = selectedMsgVal ? selectedMsgVal.split(' ').indexOf(oItem[abuteChildName]) === -1 : true; // 多选时 是否有其他选中
            var setVal = selectArr[index] !== selectVal && isSelected ? selectVal : ''; // 选中值
            selectName = setVal ? is_multiple && selectedMsgVal ? selectedMsgVal + ' ' + selectName : selectName : is_multiple ? selectedMsgVal.replace(eval('/\\s?' + selectName + '/g'), '') : '';
            selectedMsg[index] = selectName ? Array.from(new Set(selectName.split(' '))).join(' ') : '';
            unselectedMsg[index] = setVal ? '' : is_multiple && selectedMsg[index] ? '' : abuteNameVal;
            /** 设置非组合属性--开始 */
            if ((is_multiple || is_necessary) && isSelected) {
                var _index = 0;
                if (multipleSelectList.some(function (v, k) {
                    _index = k;
                    return v[abuteValue] === item[abuteValue];
                })) {
                    is_necessary && !is_multiple ? multipleSelectList[_index][abuteChild] = [oItem] : multipleSelectList[_index][abuteChild].push(oItem);
                } else {
                    var obj = {};
                    obj[abuteName] = item[abuteName];
                    obj[abuteValue] = item[abuteValue];
                    obj[abuteChild] = [];
                    obj[abuteChild].push(oItem);
                    multipleSelectList.push(obj);
                }
            } else {
                for (var i = 0; i < multipleSelectList.length; i++) {
                    var _index2 = 0;
                    var oData = multipleSelectList[i][abuteChild];
                    if (oData.some(function (v, m) {
                        _index2 = m;
                        return v[abuteChildValue] === oItem[abuteChildValue];
                    })) {
                        multipleSelectList[i][abuteChild].splice(_index2, 1);
                    }
                    if (oData.length === 0) multipleSelectList.splice(i, 1);
                }
            }
            /** 设置非组合属性--结束 */
            this.updateSelectInfo(_extends({}, this.selectInfo, {
                unselectedMsg: unselectedMsg,
                selectedMsg: selectedMsg,
                multipleSelect: lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0___default()(multipleSelectList)
            }));
            this.selectArr[index] = setVal;
            setTimeout(function () {
                return _this2.setAttrItem();
            });
        },

        /** 设置规格 */
        setAttrItem: function setAttrItem() {
            var selectArr = this.selectArr,
                shopItemInfo = this.shopItemInfo,
                attrData = this.attrData,
                _attrAbuteName3 = this.attrAbuteName,
                abuteChild = _attrAbuteName3.abuteChild,
                abuteChildValue = _attrAbuteName3.abuteChildValue,
                _selectInfo2 = this.selectInfo,
                unselectedMsg = _selectInfo2.unselectedMsg,
                selectedMsg = _selectInfo2.selectedMsg,
                multipleSelect = _selectInfo2.multipleSelect;
            /** 关键 -- 开始 */

            var selectList = []; /** 定义数组储存被选中的值 -- 需注意此字段 -- 复用此数组 */
            for (var i = 0, k = attrData.length; i < k; i++) {
                // 把不是多选、不是非必须规格排除，获取当前选中的必须规格
                var _attrData$i2 = attrData[i],
                    _attrData$i2$is_multi = _attrData$i2.is_multiple,
                    is_multiple = _attrData$i2$is_multi === undefined ? false : _attrData$i2$is_multi,
                    _attrData$i2$is_neces = _attrData$i2.is_necessary,
                    is_necessary = _attrData$i2$is_neces === undefined ? false : _attrData$i2$is_neces;

                if (!is_multiple && !is_necessary) {
                    selectList[i] = selectArr[i] ? selectArr[i] : '';
                }
            }
            for (var _i = 0, _k = attrData.length; _i < _k; _i++) {
                // 循环规格总数据
                var _attrData$_i = attrData[_i],
                    _attrData$_i$is_multi = _attrData$_i.is_multiple,
                    _is_multiple = _attrData$_i$is_multi === undefined ? false : _attrData$_i$is_multi,
                    _attrData$_i$is_neces = _attrData$_i.is_necessary,
                    _is_necessary = _attrData$_i$is_neces === undefined ? false : _attrData$_i$is_neces; // 获取当前的必选、非必须字段值


                if (!_is_multiple && !_is_necessary) {
                    var select = selectList[_i];
                    /** 把选中的值存放到字符串select去 */
                    var childList = attrData[_i][abuteChild] || []; // 获取规格大类下的规格数组
                    for (var m = 0, l = childList.length; m < l; m++) {
                        if (attrData[_i].is_multiple) {
                            // 判断是否多选
                            attrData[_i][abuteChild][m].isShow = true;
                        } else {
                            selectList[_i] = childList[m][abuteChildValue]; // 赋值，存在直接覆盖，不存在往里面添加 id（通过abuteChildValue设置） 值
                            attrData[_i][abuteChild][m].isShow = this.getIsShow(selectList); // 在数据里面添加字段 isShow 来判断是否可以选择
                        }
                    }
                    selectList[_i] = select; /** 避免被覆盖 -- 需注意 */
                }
            }
            /** 关键 -- 结束 */
            this.updateSelectInfo(_extends({
                unselectedMsg: unselectedMsg,
                selectedMsg: selectedMsg,
                multipleSelect: multipleSelect
            }, shopItemInfo[selectList] || {}));
            this.attrData = lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0___default()([].concat(attrData));
            this.$forceUpdate();
        },

        /** 获取规格是否禁选 */
        getIsShow: function getIsShow(selectList) {
            var shopItemInfo = this.shopItemInfo,
                infoStockName = this.attrInfoName.infoStockName;

            for (var i = 0, k = selectList.length; i < k; i++) {
                if (selectList[i] == '') {
                    return true;
                }
            }
            var info = shopItemInfo[selectList];
            // 常规判断：规格组合是否存在/库存是否===0 设置显示/隐藏
            return !info || info[infoStockName] === 0 ? false : true;
        },

        /** 更新选中总数据 */
        updateSelectInfo: function updateSelectInfo(data) {
            this.$emit('update:selectInfo', lodash_cloneDeep__WEBPACK_IMPORTED_MODULE_0___default()(data));
        }
    }
});

/***/ })

/******/ });