'use strict';

exports.__esModule = true;
exports.ArraySort = exports.AddListSearchId = undefined;
exports.SetSearchColumnsDate = SetSearchColumnsDate;

var _cloneDeep2 = require('lodash/cloneDeep');

var _cloneDeep3 = _interopRequireDefault(_cloneDeep2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 添加search__id唯一标识
var AddListSearchId = exports.AddListSearchId = function AddListSearchId(attr) {
  attr.map(function (v) {
    v.search__id = Number(Math.random().toString().substr(3, 10) + Date.now()).toString(36);
  });
  return [].concat(attr);
};

// 排序
var ArraySort = exports.ArraySort = function ArraySort(attr, name) {
  var _attr = [].concat(attr);
  _attr.sort(function (a, b) {
    return a[name] - b[name];
  });
  return _attr;
};

// 搜索项操作
function SetSearchColumnsDate(data, type, params) {
  var _cloneDeep = (0, _cloneDeep3.default)(params),
      columns = _cloneDeep.columns,
      _cloneDeep$original_c = _cloneDeep.original_columns,
      original_columns = _cloneDeep$original_c === undefined ? [] : _cloneDeep$original_c;

  var current_columns = (0, _cloneDeep3.default)(columns);
  var return_columns = [];
  switch (type) {
    case 'reset':
      original_columns.map(function (v, k) {
        return v.sortSubscript = k;
      });
      return_columns = [].concat(original_columns);
      break;
    case 'select':
      current_columns.map(function (v) {
        return data.some(function (m) {
          return m === v.search__id && !v.hideInSetting;
        }) ? v.disableSearch = false : '';
      });
      return_columns = [].concat(current_columns);
      break;
    case 'del':
      current_columns.map(function (v) {
        return data.some(function (m) {
          return m === v.search__id && !v.hideInSetting;
        }) ? v.disableSearch = true : '';
      });
      return_columns = [].concat(current_columns);
      break;
    case 'sort':
      data.map(function (v, k) {
        return v.sortSubscript = k;
      });
      return_columns = [].concat(data);
      break;
  }
  return return_columns;
}